For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETGet Connection Types
      • POSTConnection Type Parameter Values
      • GETList Connections
      • POSTCreate Connection
      • POSTConnect
      • GETGet Connection
      • DELDelete Connection
      • PATCHUpdate Connection
      • GETConnection Parameter Values
      • GETGet Connection Source
      • POSTConnection Field Query
      • GETGet Connection Target
      • POSTGet Connection Target Fields
      • POSTCreate Shared Connection
      • GETList Shared Connections
Logo
Log inBook a demo
API ReferenceConnections

Get Connection Source

Deprecated
GET
https://app.polytomic.com/api/connections/:id/source
GET
/api/connections/:id/source
$curl https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/source \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>"
1{
2 "data": {
3 "configuration": {
4 "host": {
5 "items": [],
6 "type": "string"
7 },
8 "port": {
9 "items": [],
10 "type": "integer"
11 },
12 "username": {
13 "items": [],
14 "type": "string"
15 },
16 "password": {
17 "items": [],
18 "type": "string"
19 },
20 "database": {
21 "items": [],
22 "type": "string"
23 }
24 },
25 "items": {
26 "users": {
27 "has_items": true,
28 "items": [
29 "id",
30 "name",
31 "email"
32 ],
33 "requires_one_of": [
34 "id"
35 ]
36 },
37 "orders": {
38 "has_items": true,
39 "items": [
40 "order_id",
41 "user_id",
42 "total"
43 ],
44 "requires_one_of": [
45 "order_id"
46 ]
47 }
48 },
49 "requires_one_of": [
50 "table"
51 ]
52 }
53}

Describes the source configuration available on a connection for use as a model sync source.

🚧 Deprecated

Use GET /api/connections/{id}/modelsync/source instead. Available in API version 2024-02-08 and later.

Was this page helpful?
Previous

Connection Field Query

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error